package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;

import java.util.Date;

/**
 * 内蒙古自治区地区对象 trs_region_words
 * 
 * @author ruoyi
 * @date 2025-04-20
 */
public class TrsRegionWords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 区域代码 */
    @Excel(name = "区域代码")
    private String code;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String name;

    /** 上级区域代码 */
    private String parentCode;

    /** 是否启用 */
    private String isAble;

    /** 排序号 */
    private Integer orderNum;

    /** 主页banner图 */
    private String bannerName;

    /** 层级 */
    private String regionLevel;

    /** 区域简称 */
    @Excel(name = "区域简称")
    private String shortName;

    /** 老的删除标志 */
    private String isDelete;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String status;

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    /*@Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")*/
    private Date time;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setParentCode(String parentCode) 
    {
        this.parentCode = parentCode;
    }

    public String getParentCode() 
    {
        return parentCode;
    }

    public void setIsAble(String isAble) 
    {
        this.isAble = isAble;
    }

    public String getIsAble() 
    {
        return isAble;
    }

    public void setOrderNum(Integer orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Integer getOrderNum() 
    {
        return orderNum;
    }

    public void setBannerName(String bannerName) 
    {
        this.bannerName = bannerName;
    }

    public String getBannerName() 
    {
        return bannerName;
    }

    public void setRegionLevel(String regionLevel) 
    {
        this.regionLevel = regionLevel;
    }

    public String getRegionLevel() 
    {
        return regionLevel;
    }

    public void setShortName(String shortName) 
    {
        this.shortName = shortName;
    }

    public String getShortName() 
    {
        return shortName;
    }

    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("parentCode", getParentCode())
            .append("isAble", getIsAble())
            .append("orderNum", getOrderNum())
            .append("bannerName", getBannerName())
            .append("regionLevel", getRegionLevel())
            .append("shortName", getShortName())
            .append("isDelete", getIsDelete())
            .append("status", getStatus())
            .toString();
    }
}
